### Method

# Ide Range to_variant

#### Declaration

    GVariant*
    ide_range_to_variant (
      IdeRange* self
    )

#### Description

Creates a variant to represent the range.

This function will never return a floating variant.

Available since: | 3.32

#### Return value

Returns: | `GVariant`
| A `GVariant`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.